> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sudo.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate Authorization

> Simulates different types of authorizations across several merchant categories and channels.



## OpenAPI

````yaml openapi.json post /cards/simulator/authorization
openapi: 3.1.0
info:
  title: Sudo Sandbox API
  version: '1.0'
servers:
  - url: https://api.sandbox.sudo.cards
security:
  - sec0: []
paths:
  /cards/simulator/authorization:
    post:
      summary: Simulate Authorization
      description: >-
        Simulates different types of authorizations across several merchant
        categories and channels.
      operationId: simulate-authorization
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - cardId
                - channel
                - type
                - amount
                - currency
                - merchant
              properties:
                cardId:
                  type: string
                  description: The `_id` of the card.
                channel:
                  type: string
                  description: The channel to simulate the authorization on.
                  default: web
                  enum:
                    - web
                    - pos
                    - atm
                type:
                  type: string
                  description: The authorization type.
                  default: purchase
                  enum:
                    - purchase
                    - cash_withdrawal
                    - deposit
                    - transfer
                    - payment
                amount:
                  type: number
                  description: The amount to simulate.
                  format: float
                currency:
                  type: string
                  description: The currency type.
                  default: NGN
                  enum:
                    - NGN
                    - USD
                merchant:
                  type: object
                  description: The merchant information.
                  required:
                    - category
                    - merchantId
                    - name
                    - city
                    - state
                    - country
                  properties:
                    category:
                      type: string
                      description: The merchant category
                    merchantId:
                      type: string
                      description: The `_id` of the merchant.
                    name:
                      type: string
                      description: The merchant name.
                    city:
                      type: string
                      description: The city the merchant is located.
                    state:
                      type: string
                      description: >-
                        The two letter code of the state the merchant is located
                        in.
                    country:
                      type: string
                      description: >-
                        The two letter code of the country the merchant is
                        located in.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      x-default: '{{APIKey}}'

````